org.apache.hc.core5.http.impl.io

## Class DefaultBHttpClientConnectionFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.DefaultBHttpClientConnectionFactory

- All Implemented Interfaces:
    HttpConnectionFactory<DefaultBHttpClientConnection>

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultBHttpClientConnectionFactory
      extends Object
      implements HttpConnectionFactory<DefaultBHttpClientConnection>

  Default factory for `HttpClientConnection`s.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBHttpClientConnectionFactory()`
    `DefaultBHttpClientConnectionFactory(Http1Config http1Config, CharCodingConfig charCodingConfig)`
    `DefaultBHttpClientConnectionFactory(Http1Config http1Config, CharCodingConfig charCodingConfig, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory, HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`
    `DefaultBHttpClientConnectionFactory(Http1Config http1Config, CharCodingConfig charCodingConfig, HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory, HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultBHttpClientConnection` | `createConnection(Socket socket)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBHttpClientConnectionFactory

          public DefaultBHttpClientConnectionFactory(Http1Config http1Config,
                                             CharCodingConfig charCodingConfig,
                                             ContentLengthStrategy incomingContentStrategy,
                                             ContentLengthStrategy outgoingContentStrategy,
                                             HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory,
                                             HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

    - #### DefaultBHttpClientConnectionFactory

          public DefaultBHttpClientConnectionFactory(Http1Config http1Config,
                                             CharCodingConfig charCodingConfig,
                                             HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory,
                                             HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

    - #### DefaultBHttpClientConnectionFactory

          public DefaultBHttpClientConnectionFactory(Http1Config http1Config,
                                             CharCodingConfig charCodingConfig)

    - #### DefaultBHttpClientConnectionFactory

          public DefaultBHttpClientConnectionFactory()

  - ### Method Detail

    - #### createConnection

          public DefaultBHttpClientConnection createConnection(Socket socket)
                                                        throws IOException

      Specified by:
        `createConnection` in interface `HttpConnectionFactory<DefaultBHttpClientConnection>`
      Throws:
        `IOException`

Copyright © 2005–2020 The Apache Software Foundation. All rights reserved.